Jegsaran
Automotive
- Dec 16, 2020
- 41
Hello,
I'm trying to create a new drawing document using CATIA.Documents.Add("Drawing")
Post creation the sheet format and sizes are empty as shown.
I tried the following but it is throwing err in papersize line. Is there any other way?
I'm trying to create a new drawing document using CATIA.Documents.Add("Drawing")
Post creation the sheet format and sizes are empty as shown.
I tried the following but it is throwing err in papersize line. Is there any other way?
Code:
Dim drawingDocument1 as DrawingDocument
Dim drawingSheets1 as DrawingSheets
Dim drawingSheet1 as DrawingSheet
Set drawingDocument1 = CATIA.Documents.Add("Drawing")
Set drawingSheets1 = drawingDocument1.Sheets
Set drawingSheet1 = drawingSheets1.Item(1)
drawingSheet1.PaperSize = catPaperA0